/******************************************************
 *File: Suspension.cpp
 *Author: Henrik Hedman
 *Created: 2004-11-10
 *Modified: 2004-12-10
 *Description: Suspension of the wheels.
 *						 Recieves a length of the spring and 
 *						 calculates the force done by the spring	
 *****************************************************/

#include "include/suspension.h"

using namespace std;

namespace suspension {
                  
	/******************************************
	 *Function: Constructor
	 *Description: Initiate variables
	 *****************************************/
	Suspension::Suspension( double length ) {
			orgLength = length;
			oldLength = 0;	
			force = 0;
}
  /**************************************************************
   *Function:   calculateSpring
   *Arguments:  double newLength
   *            double stepSize (1/fps)
   *Returns:    force
   *Description:Calculates the force from the spring on the tank
   *************************************************************/
		double Suspension::calculateSpringForce( double newLength , double stepSize ) {
				//velocity of the spring
    	double velocity = ( newLength - oldLength ) / stepSize;
				//force from the spring
			force = SPRINGKOEFFICIENT * ( - newLength + orgLength );
				//force from the spring plus dapmer
			force += (DAMPER * ( - velocity ) );
				//set the length to the old length
			oldLength = newLength;
			return force;
		}
}
