#ifndef PROJECTILE_H
#define PROJECTILE_H

#include <vector>

using namespace std;

class Projectile {

 public:
 
  Projectile();
  Projectile(double, double);
  ~Projectile();
  double getSpeed() const;
  double getXPos(double*);
  void getPos(double*, vector<double> &);
  void setPosition(int);

 private:
  
  static const double g = -9.82; //The gravity constant (-9.82)
  double theta;                  //The initial angle of the shot

  double yPos;                   // y(t)

  double xPos;
  double oldXPos;

  double initialSpeed;    //The initial speed of the projectile
  double speed;           //The current speed (not used for anything)

  double xSpeed;          //The projetile speed in x-direction
  double ySpeed;          // "      "       "   in y-direction

};

#endif //PROJECTILE_H
